Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples
Class AbleBeanWrapperBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          com.ibm.able.examples.AbleBeanWrapperBeanInfo

All Implemented Interfaces:
  java.beans.BeanInfo

public class AbleBeanWrapperBeanInfo
extends java.beans.SimpleBeanInfo

This class provides the bean info for the Simple Able Bean.

Field Summary
`protected static long` | `serialVersionUID` Serialized version identifier in form YYYYMMDDVerRelModxx

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`AbleBeanWrapperBeanInfo()` Default constructor

Method Summary
`java.beans.BeanInfo[]` | `getAdditionalBeanInfo()` Return the BeanInfo for the super class.
`java.beans.BeanDescriptor` | `getBeanDescriptor()` Return a BeanDescriptor for this bean.
`java.awt.Image` | `getIcon(int iconKind)` Return the image requested.

Methods inherited from class java.beans.SimpleBeanInfo
`getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

  Serialized version identifier in form YYYYMMDDVerRelModxx

  See Also:
    Constant Field Values

Constructor Detail

### AbleBeanWrapperBeanInfo

    public AbleBeanWrapperBeanInfo()

  Default constructor

Method Detail

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Return a BeanDescriptor for this bean.

  Returns:
    A bean descriptor which specifies a customizer for this bean class.

### getIcon

    public java.awt.Image getIcon(int iconKind)

  Return the image requested.

  Returns:
    An Image of the requested kind. Returns null if not found or an image is not specified.

### getAdditionalBeanInfo

    public java.beans.BeanInfo[] getAdditionalBeanInfo()

  Return the BeanInfo for the super class. Null if superclass is not found.

  Returns:
    An array with the BeanInfo of the super class.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005